.d-flex.align-items-center.justify-content-between
  h1.m-0
    | Tasks
  div
    = link_to 'Create task', new_task_path, class: 'btn btn-primary'
table.table.table-striped.table-hover.mt-5
  thead
    tr
      th[scope="col"] #
      th[scope="col"] Title
      th[scope="col"] Status
      th[scope="col"] Creator
      th[scope="col"] Performer
      th[scope="col"] Completed
      th.text-end[scope="col"] Actions
  tbody
    - @tasks.each do |task|
      tr
        td= task.id
        td= link_to task.name, task_path(task)
        td: span.badge.bg-secondary= task.status
        td= task.creator
        td = task.performer
        td: span.badge class="#{task.completed ? 'bg-success' : 'bg-danger'}"
          = task.completed ? 'Yes' : 'No'
        td.text-end
          = link_to 'Edit', edit_task_path(task), class: 'btn btn-sm btn-success me-1'
          = link_to 'Delete', task_path(task), method: :delete, data: { confirm: 'Are your sure?' }, class: 'btn btn-sm btn-danger'
